> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Hourly Data When Chat is Busier >
Premium tag
Retrieve hourly data when chat is busier. Permission required: `view-engagement-dashboard` ### Changelog | Version | Description | | ---------------- | ------------| |3.1.0 | Added | ## OpenAPI ````json GET /api/v1/engagement-dashboard/users/chat-busier/hourly-data { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Statistics" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels Engagement" }, { "name": "Messages Engagement" }, { "name": "Statistics" }, { "name": "Users Engagement" } ], "paths": { "/api/v1/engagement-dashboard/users/chat-busier/hourly-data": { "get": { "tags": [ "Users Engagement" ], "summary": "Get Hourly Data When Chat is Busier", "description": "
\"Premium
\n\nRetrieve hourly data when chat is busier.\n\nPermission required: `view-engagement-dashboard` \n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|3.1.0 | Added |", "operationId": "get-api-v1-engagement-dashboard-users-chat-busier-hourly-data", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/start" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "hours": { "type": "array", "items": { "type": "object", "properties": { "users": { "type": "integer" }, "hour": { "type": "integer" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "hours": [ { "users": "3", "hour": "22" }, { "users": "3", "hour": "20" }, { "users": "4", "hour": "18" }, { "users": "2", "hour": "16" }, { "users": "4", "hour": "14" }, { "users": "4", "hour": "12" }, { "users": "2", "hour": "10" }, { "users": "1", "hour": "8" }, { "users": "1", "hour": "6" }, { "users": "1", "hour": "4" }, { "users": "0", "hour": "2" }, { "users": "0", "hour": "0" } ], "success": "true" } } } } } }, "400": { "$ref": "#/components/responses/keyError" }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/forbiddenError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The token of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The user ID of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "start": { "name": "start", "in": "query", "description": "The start date.", "required": "true", "schema": { "type": "string" }, "example": "2023-10-29T14:48:00Z" } }, "responses": { "keyError": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Missing key": { "value": { "success": "false", "error": "Match error: Missing key 'start'" } }, "Example 2": { "value": { "success": "false", "error": "Match error: Failed Match.Where validation in field start" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "forbiddenError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": "false", "error": "User does not have the permissions required for this action [error-unauthorized]" } } } } } } } } } ````